# config

class integron_finder.config.Config(args)

  Config object hold values issue from command lines

  __init__(args)
  __weakref__

    list of weak references to the object

  property default_topology

    The default topology available values are: ‘circ’ for circular or ‘lin’ for linear.

  property func_annot_path

    The canonical absolute path to the directory containing file needed for the functional annotation. It does not take in account the argument passed via the command line.

  property input_dir

    The absolute path to the directory where is located the replicon

  property input_seq_path

    The absolute path to the input file

  property log_level
    Returns:

      the level to apply to loggers. 0 <= level <=50

    Return type:

      int

  property model_attc_name

    The name of the attc model

  property model_attc_path

    The absolute path to the attC model file

  property model_dir

    The absolute path to the directory containing the models

  property model_integrase

    The absolute path to the integrase model file

  property model_len
    Returns:

      The length of the attc model (corresponding to CLEN field).

    Raises:

      IOError if model_attc_path does match an existing file RuntimeError if the file doe not content CLEN field.

  property model_phage_int

    The absolute path to the phage-integrase model file

  property outdir

    The absolute path where to write the results directory

  property result_dir

    The absolute path to results directory

  tmp_dir(replicon_id)

    The absolute path of the tmp results dir.